freemarker.core

## Class NonStringOrTemplateOutputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - freemarker.template.TemplateException
      - - freemarker.core.UnexpectedTypeException
        - - freemarker.core.NonStringOrTemplateOutputException

All Implemented Interfaces:
  Serializable

    public class NonStringOrTemplateOutputException
    extends UnexpectedTypeException

Indicates that a `TemplateScalarModel` (or maybe something that can be automatically coerced to that) or `TemplateMarkupOutputModel` value was expected, but the value had a different type.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NonStringOrTemplateOutputException(Environment env)`
`NonStringOrTemplateOutputException(String description, Environment env)`

### Method Summary

### Methods inherited from class freemarker.template.TemplateException

`getBlamedExpressionString, getCauseException, getColumnNumber, getEndColumnNumber, getEndLineNumber, getEnvironment, getFTLInstructionStack, getLineNumber, getMessage, getMessageWithoutStackTop, getTemplateName, getTemplateSourceName, printStackTrace, printStackTrace, printStackTrace, printStackTrace, printStandardStackTrace, printStandardStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NonStringOrTemplateOutputException

    public NonStringOrTemplateOutputException(Environment env)

#### NonStringOrTemplateOutputException

    public NonStringOrTemplateOutputException(String description,
                                              Environment env)